Page MenuHomePhabricator

Update appearance of TablePager nav component
Closed, ResolvedPublic

Description

TablePager is a PHP widget in core, used all over the place, e.g. on https://en.wikipedia.org/wiki/Special:ProtectedPages and https://en.wikipedia.org/wiki/Special:ListFiles

BeforeAfter

Shown in context:

Event Timeline

Esanders created this task.Apr 24 2017, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2017, 5:03 PM

Probably a button group widget, maybe with better icons:

@Esanders @matmarex was telling me months ago, that he doesn't see OOjs UI as component there.
Anyways, my original idea was to stay with frameless buttons, maybe in a special styling (labels below).

I'm not sure what I was thinking months ago, but right now I have no strong feelings about this, as long as we're talking about just these buttons/links shown on the screenshot (TablePager::getNavigationBar()). TablePager also includes code for generating the entire table show on these pages, and I feel that should not be an OOjs UI widget. It's just a table.

Esanders renamed this task from Update appearance of TablePager component to Update appearance of TablePager nav component.Apr 24 2017, 6:01 PM

Change 349997 had a related patch set uploaded (by Esanders):
[mediawiki/core@master] WIP OOUI-ificiation of TablePager nav

https://gerrit.wikimedia.org/r/349997

Ideally we'd use different icons for first & previous (and last and next), but we don't have them in the OOUI icon set…

TheDJ added a subscriber: TheDJ.Apr 24 2017, 7:32 PM

@Jdforrester-WMF was just gonna say the same :)

Yes, that's what I meant by "better icons"

Volker_E moved this task from Backlog to Doing on the OOUI board.Apr 24 2017, 8:57 PM
Jay8g awarded a token.Apr 25 2017, 3:29 AM

Change 351604 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Add first/last icons to complement previous/next

https://gerrit.wikimedia.org/r/351604

Change 351604 merged by jenkins-bot:
[oojs/ui@master] icons: Add first/last to complement previous/next in movement pack

https://gerrit.wikimedia.org/r/351604

Jdforrester-WMF closed this task as Resolved.May 10 2017, 4:51 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 349997 merged by jenkins-bot:
[mediawiki/core@master] OOUI-ificiation of TablePager nav

https://gerrit.wikimedia.org/r/349997

Jdforrester-WMF triaged this task as Medium priority.May 10 2017, 5:20 PM
Jdforrester-WMF updated the task description. (Show Details)